Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066011 - redhat-upgrade-tool ignores repo option enabled=0
Summary: redhat-upgrade-tool ignores repo option enabled=0
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-upgrade-tool
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Shea
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1056248
TreeView+ depends on / blocked
 
Reported: 2014-02-17 13:54 UTC by Lukas Pramuk
Modified: 2018-06-07 11:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-11 13:49:34 UTC


Attachments (Terms of Use)

Description Lukas Pramuk 2014-02-17 13:54:06 UTC
Description of problem:
redhat-upgrade-tool parses repositories even if they are disabled - "enabled=0"
the only possible way of disabling repos is to move them out of /etc/yum.repos.d directory.

Version-Release number of selected component (if applicable):
redhat-upgrade-tool-0.7.5-1.el6.noarch.rpm

How reproducible:
deterministic

Steps to Reproduce:
1. Have yum repositories defined in /etc/yum.repos.d 
2. Set these yum repositories to disabled state by changing option to "enabled=0"
3. Run redhat-upgrade-tool --network 7.0 --instrepo <rhel7repo> and see it still parses all disabled repos (beaker-*.repo)

Actual results:
ignores "enabled=0" option in a repo

Expected results:
doesn't parse repos that are disabled.

Additional info:

Comment 2 David Shea 2014-02-19 21:34:28 UTC
Please attach /var/log/redhat_upgrade_tool.log to this bug.


Note You need to log in before you can comment on or make changes to this bug.